xquery version "3.1";

declare namespace tei="http://www.tei-c.org/ns/1.0";
declare namespace xhtml="http://www.w3.org/1999/xhtml";

declare option exist:serialize "method=xhtml media-type=text/html";

import module namespace ifweb="http://bdn-edition.de/intermediate_format/ifweb" at "/db/apps/interformat/modules/intermediate_format/ifweb.xql";

(: Was hiervon brauche ich?
 :  module namespace xml-utils="http://bdn-edition.de/portal/xml-utils";
 :   
 :   declare namespace html="http://www.w3.org/1999/html";
 :   declare namespace xi="http://www.w3.org/2001/XInclude";
 :   declare namespace textgrid="http://textgrid.info/namespaces/metadata/core/2010";
 :   declare namespace bdn="http://www.bdn-edition.de/ns/1.0";
 :   
 :   import module namespace bdn-utils="http://bdn-edition.de/ns/utils" at "utils.xqm";
 :   import module namespace code-view="http://bdn-edition.de/ns/code-view";
 :   import module namespace config="https://sade.textgrid.de/ns/config" at "../config.xqm";
 :   import module namespace console="http://exist-db.org/xquery/console";
 :   import module namespace critical="http://bdn-edition.de/ns/critical" at "critical.xqm";
 :   import module namespace digital="http://bdn-edition.de/ns/digital" at "digital.xqm";
 :   import module namespace foreword="http://bdn-edition.de/ns/foreword" at "foreword.xqm";
 :   import module namespace functx="http://www.functx.com";
 :   import module namespace id-file="https://bdn-edition.de/ns/id-file" at "id-file.xqm";
 :   import module namespace ifweb="http://bdn-edition.de/intermediate_format/ifweb" at "/db/apps/interformat/modules/intermediate_format/ifweb.xql";
 :   import module namespace sem-split="http://bdn-edition.de/portal/sem-split" at "sem-split.xqm";
 :   import module namespace single="http://bdn-edition.de/ns/single" at "single.xqm";
 :   import module namespace whitelist="https://bdn-edition.de/ns/whitelist" at "whitelist.xqm";
 :   import module namespace internal-nav="http://bdn-edition.de/ns/internal-nav" at  "internal-nav.xqm";
 :   
 :)

(: 
declare function local:get-all-titles
        () as node()* {
        let $texte := collection("/db/apps/sade/textgrid/data/kmg")
        for $title in data($texte//tei:title[@type="main"])
        return
            $title
};

    
    <html>
       <head>
            <meta HTTP-EQUIV="Content-Type" content="text/html; charset=UTF-8"/>
            <title>Texte Probeportal</title>
        </head>
        <body>
            <h1>Texte Probeportal</h1>
            <ul>
                
                    {
                        let $texte := collection("/db/apps/sade/textgrid/data/kmg")
                        for $title in data($texte//tei:title[@type="main"])
                        return
                            <li>{$title}</li>
                    }
                
            </ul>
        </body>
    </html>
:)

let $texte := collection("/db/apps/sade/textgrid/data/kmg")
let $if := ifweb:tranform($texte)
let $ende := critical:transform($if)
return
    <html>
        <head>
            <meta HTTP-EQUIV="Content-Type" content="text/html; charset=UTF-8"/>
            <title>TexteBestätigung</title>
        </head>
        <body>
            <p>alles okay</p>
        </body>
    </html>

(: 
 Ressourcen:
  /db/apps/sade/textgrid/data/kmg/Mollenhauer-1969.xml
 /db/apps/sade/textgrid/data/kmg/Mollenhauer-1988.xml
  :)


(: 

Überbleibsel Besprechung mit Michelle

let $if := ifweb:tranform()

critical:main($if) MFZ: ist damit critical:transform gemeint?
 :)

